org.eclipse.wst.jsdt.debug.core.jsdi

## Interface StackFrame

All Superinterfaces:
  Mirror

    public interface StackFrame
    extends Mirror

Abstract description of a stack frame

Since:
  1.0
See Also:
  `Location`, `Mirror`, `Value`, `Variable`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`Value` `evaluate(java.lang.String expression)` Evaluates the given expression in the context of this `StackFrame` and returns the resulting `Value`.
`Location` `location()` The current `Location` associated with this `StackFrame`.
`Variable` `thisObject()` Returns the value of `this` for the current frame.
`java.util.List` `variables()` The visible variables for this `StackFrame`.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### thisObject

    Variable thisObject()

Returns the value of `this` for the current frame.
This method cannot return `null`

Returns:
  the 'this' ObjectReference never `null`

#### variables

    java.util.List variables()

The visible variables for this `StackFrame`.
This method cannot return `null`.

Returns:
  the list of `Variable` objects for this `StackFrame` or an empty list, never `null`

#### location

    Location location()

The current `Location` associated with this `StackFrame`.
This method can return `null`

Returns:
  the `Location` associated with this `StackFrame` or `null`

#### evaluate

    Value evaluate(java.lang.String expression)

Evaluates the given expression in the context of this `StackFrame` and returns the resulting `Value`.
This method cannot return `null` but can return the `NullValue`

Returns:
  the `Value` result of evaluating the expression never `null`